import request from '@/utils/request'

// 查询门店区域列表
export function listStoreArea(query) {
  return request({
    url: '/mapi/system/storeArea/list',
    method: 'get',
    params: query
  })
}

// 查询门店区域详细
export function getStoreArea(id) {
  return request({
    url: '/mapi/system/storeArea/' + id,
    method: 'get'
  })
}

// 新增门店区域
export function addStoreArea(data) {
  return request({
    url: '/mapi/system/storeArea',
    method: 'post',
    data: data
  })
}

// 修改门店区域
export function updateStoreArea(data) {
  return request({
    url: '/mapi/system/storeArea',
    method: 'put',
    data: data
  })
}

// 删除门店区域
export function delStoreArea(id) {
  return request({
    url: '/mapi/system/storeArea/' + id,
    method: 'delete'
  })
}
